Subject: Re: RFC: Flat directory for notes, or fan-out? Both!

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Feb 2009 14:32:52 -0800

Thomas Rast <[email-masked]> writes:

> Johannes Schindelin wrote:
>> Or we could use an on-disk hashmap.  Oh, wait...
>
> While reading this thread, I sure wondered ... why don't we use the
> one on-disk fast access structure we already have: the index?

Since when the index has become a on-disk fast access structure?

> Sure, one problem is that the index reading code is inherently written
> for a single index state.

That's wrong, but because the index is not a on-disk fast access structure
to begin with, the incorrect statement about it is excused ;-)